Skip to main content
GET
/
dashboards
/
clients
Clients Report
curl --request GET \
  --url https://api.everhour.com/dashboards/clients \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.everhour.com/dashboards/clients"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.everhour.com/dashboards/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "clientId": 12345,
    "clientName": "Awesome Inc.",
    "time": 7200,
    "billableTime": 3600,
    "nonBillableTime": 3600,
    "timerTimePc": 70,
    "billableAmount": 50000,
    "billableAmountTime": 40000,
    "billableAmountExpenses": 10000,
    "costs": 30000,
    "costsTime": 20000,
    "costsExpenses": 5000,
    "profit": 20000,
    "profitCosts": 3000,
    "uninvoicedAmount": 30000,
    "expenses": 17000,
    "billableExpenses": 10000,
    "separateExpenses": 2000
  }
]

Authorizations

X-Api-Key
string
header
required

Query Parameters

date.gte
string

Report start date

Example:

"2020-01-01"

date.lte
string

Report end date

Example:

"2021-01-01"

projectId
string

Filter by project ID

Example:

"as:123456789012345"

clientId
number

Filter by client ID

Example:

12345

memberId
number

Filter by user ID

Example:

7890

Response

OK

clientId
number
Example:

12345

clientName
string
Example:

"Awesome Inc."

time
number
Example:

7200

billableTime
number
Example:

3600

nonBillableTime
number
Example:

3600

timerTimePc
number
Example:

70

billableAmount
number
Example:

50000

billableAmountTime
number
Example:

40000

billableAmountExpenses
number
Example:

10000

costs
number
Example:

30000

costsTime
number
Example:

20000

costsExpenses
number
Example:

5000

profit
number
Example:

20000

profitCosts
number
Example:

3000

uninvoicedAmount
number
Example:

30000

expenses
number
Example:

17000

billableExpenses
number
Example:

10000

separateExpenses
number
Example:

2000